Subject: Re: CYGWIN Installation Help Needed
From: Luke Kendall <[email-masked]>
To: "S.Sunil Kumar" <[email-masked]>
Cc: [email-masked]
Date: Mon, 17 Oct 2005 10:56:45 +1000 (EST)

On 14 Oct, S.Sunil Kumar wrote:
>  I would like to install CYGWIN in my WIN-XP-HE PC. 
>  I have downloaded the CYGWIN Program from one of the 
>  FTP site by running the SETUP.EXE file. 
>   
>  But I would like to know about how to install it in 
>  the XP System. 

There's a mailing list where questions like these can be answered.
I have CC-ed my reply to your question there.  I'm surprised you asked
us directly.

Anyway, it sounds like all you need to do is run setup.exe on your home
PC.  If that's what you meant, see http://cygwin.com/faq/faq.setup.html

The complete Cygwin download these days is about 2GB.  If instead you
meant that you want to transfer that download to your home PC, then see
http://cygwin.com/faq/faq.setup.html#faq.setup.cd

In addition, here's something you can use that makes it easier to pick
out just the "current" version of each package (instead of every
version of the packages).  It assumes you have used rsync to get a
mirror - so there should be a setup.exe, .bz2, and .ini file along with
a release directory.

It's actually excerpted from a slightly longer script, but there's no
point sending that since it depends on other things we do (like
automatically checking the MD5 signatures of all packages to make sure
the download is complete).

FWIW, here it is.  With this, the download can usually fit on a CD.

#!/bin/sh

  dst="$HOME/cygwin-for-CD"

  test -s setup.bz2 || exit 1
  test -d "$dst" || exit 1
  
  echo setup.exe
  echo setup.bz2
  echo setup.ini

  bzip2 -cd setup.bz2 | awk '
    BEGIN {
      package = 0;
    }

    # Look for start of package block
    /^@/ {
      package = 1;
      next;
    }

    # If inside a package block, look for a line beginning with "install: "
    package && /^install: / {
      print $2;
      package = 0;
    }'

) | cpio -pdmuv "$dst"

luke

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/